account_history_api.get_account_history
Purpose
Retourne l'historique de compte (account history) — toutes les opérations d'un compte donné.
Voir aussi : Paginated API Methods
Parameters
PARAMETERS
json
{
"account": "",
"start": "18446744073709551615",
"limit": 1000
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "account_history_api.get_account_history",
"params": {
"account": "steemit",
"start": 1000,
"limit": 1000
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "account_history_api.get_account_history",
"params": {
"account": "steemit",
"start": -1,
"limit": 10000
},
"id": 1
}'Response
RESPONSE
json
{
"history": []
}Expected curl responses
EXPECTED RESPONSES
text
Could not find API account_history_apitext
Could not find API account_history_api